Closed Bug 505650 Opened 11 years ago Closed 7 years ago

intermittent mochitest-browser-chrome leak ~360K including one nsXMLDocument (but no nsGlobalWindow) where Leaked URLs list ends with https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10/...

Categories

(Toolkit :: Add-ons Manager, defect)

defect
Not set

Tracking

()

RESOLVED WORKSFORME
Tracking Status
status1.9.2 --- ?

People

(Reporter: jrmuizel, Unassigned)

References

Details

(Keywords: intermittent-failure)

I'm not really sure what to do with this or what component it belongs in.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1248223879.1248231508.24090.gz

TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 342009 bytes during test execution
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 118 instances of AtomImpl with size 16 bytes each (1888 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of BackstagePass with size 20 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of CParserContext with size 68 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of CSSImportRuleImpl with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 36 instances of CSSImportantRule with size 12 bytes each (432 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of CSSLoaderImpl with size 188 bytes each (376 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 11 instances of CSSNameSpaceRuleImpl with size 40 bytes each (440 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of CSSParserImpl with size 5032 bytes each (15096 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 392 instances of CSSStyleRuleImpl with size 40 bytes each (15680 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of Connection with size 88 bytes each (352 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of HTMLCSSStyleSheetImpl with size 20 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of LiteralImpl with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of PrincipalHolder with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of RDFServiceImpl with size 272 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of Service with size 24 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 75 instances of Statement with size 44 bytes each (3300 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of StringAdopt with size 1 bytes each (4 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of XPCContext with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 37 instances of XPCNativeInterface with size 24 bytes each (888 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 37 instances of XPCNativeMember with size 12 bytes each (444 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 48 instances of XPCNativeScriptableInfo with size 8 bytes each (384 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of XPCNativeScriptableShared with size 212 bytes each (636 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 14 instances of XPCNativeSet with size 8 bytes each (112 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 103 instances of XPCWrappedNative with size 48 bytes each (4944 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 50 instances of XPCWrappedNativeProto with size 32 bytes each (1600 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 47 instances of XPCWrappedNativeScope with size 64 bytes each (3008 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of gfxFont with size 72 bytes each (432 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of gfxFontEntry with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of gfxGlyphExtents with size 40 bytes each (240 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 35 instances of gfxTextRun with size 88 bytes each (3080 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 15 instances of gfxTextRunFactory with size 8 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of imgCacheEntry with size 28 bytes each (56 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of imgContainer with size 84 bytes each (252 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of imgLoader with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of imgRequest with size 152 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of imgRequestProxy with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsAnnotationService with size 80 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 60 instances of nsAtomList with size 8 bytes each (480 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 204 instances of nsAttrSelector with size 28 bytes each (5712 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsBaseURLParser with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsBasicDecoderSupport with size 12 bytes each (36 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsBidiKeyboard with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsBindingManager with size 252 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSColor with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSColumn with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 12 instances of nsCSSCornerSizes with size 64 bytes each (768 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 392 instances of nsCSSDeclaration with size 32 bytes each (12544 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSDisplay with size 156 bytes each (936 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSMargin with size 596 bytes each (3576 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 49 instances of nsCSSRect with size 32 bytes each (1568 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 409 instances of nsCSSRule with size 16 bytes each (6544 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSSVG with size 260 bytes each (1560 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsCSSScanner with size 1008 bytes each (3024 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1325 instances of nsCSSSelector with size 36 bytes each (47700 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 905 instances of nsCSSSelectorList with size 12 bytes each (10860 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSStyleSheet with size 68 bytes each (408 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSStyleSheetInner with size 76 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSText with size 92 bytes each (552 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSUserInterface with size 60 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsCSSValue::Image with size 24 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 143 instances of nsCSSValue::URL with size 20 bytes each (2860 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 38 instances of nsCSSValueList with size 12 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 87 instances of nsCSSValuePair with size 16 bytes each (1392 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsCSSValuePairList with size 20 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsCSSXUL with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 697 instances of nsCStringKey with size 16 bytes each (11152 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 5 instances of nsCategoryObserver with size 56 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsCharsetAlias2 with size 12 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsCharsetConverterManager with size 48 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsCollationMacUC with size 32 bytes each (64 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsContentPolicy with size 32 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsContentSink with size 176 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsCookiePermission with size 32 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsCookieService with size 132 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDNSService with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDOMStorageManager with size 48 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDateTimeFormatMac with size 36 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDeque with size 52 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDocShell::InterfaceRequestorProxy with size 12 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDocument with size 612 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsDownloadManager with size 60 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsEffectiveTLDService with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsErrorService with size 128 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsExceptionManager with size 20 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsExpatDriver with size 132 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsExtensibleStringBundle with size 16 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsFocusManager with size 48 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 340 instances of nsGenericDOMDataNode with size 32 bytes each (10880 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 186 instances of nsGenericElement with size 28 bytes each (5208 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsGenericFactory with size 16 bytes each (32 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 4132 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHTMLStyleSheet with size 92 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 699 instances of nsHashKey with size 4 bytes each (2796 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHashPropertyBag with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 102 instances of nsHashtable with size 44 bytes each (4488 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 581 instances of nsHtml5AttributeName with size 16 bytes each (9296 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 392 instances of nsHtml5ElementName with size 28 bytes each (10976 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHtml5HtmlAttributes with size 24 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHttpChannel with size 452 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHttpConnectionInfo with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsHttpHandler with size 344 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsIDNService with size 60 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsIOService with size 120 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsIdleServiceX with size 16 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsImageFrame::IconLoad with size 24 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 40 instances of nsJSID with size 32 bytes each (1280 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsLanguageAtomService with size 52 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsLayoutStylesheetCache with size 32 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsLoadGroup with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 8 instances of nsLocalFile with size 20 bytes each (160 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 6 instances of nsMediaList with size 20 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNSSCertificate with size 56 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNSSSocketInfo with size 160 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNativeThemeCocoa with size 32 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNavBookmarks with size 220 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNavHistory with size 816 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNetworkLinkService with size 24 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 27 instances of nsNodeInfo with size 28 bytes each (756 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsNodeInfoManager with size 36 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsNullPrincipal with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsNullPrincipalURI with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsObserverEntry with size 460 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsObserverService with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsOnloadBlocker with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsParser with size 128 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsParserService with size 64 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsPermissionManager with size 88 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 24 instances of nsPersistentProperties with size 76 bytes each (1824 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsPref with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of nsPrefBranch with size 52 bytes each (208 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsPrefService with size 36 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 98 instances of nsPrincipal with size 72 bytes each (7056 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsProperties with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 387 instances of nsPseudoClassList with size 12 bytes each (4644 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsRadioVisitor with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsRect with size 16 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsRepeatService with size 20 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsReverseStringSQLFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsSSLStatus with size 60 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsSameOriginChecker with size 12 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsSampleWordBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsScanner with size 132 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsScriptLoader with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsScriptLoaderObserverProxy with size 12 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsScriptNameSpaceManager with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsScriptSecurityManager with size 84 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsSimpleURI with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsSocketTransportService with size 1680 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 250 instances of nsStandardURL with size 180 bytes each (45000 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsStreamConverterService with size 12 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1652 instances of nsStringBuffer with size 8 bytes each (13216 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 23 instances of nsStringBundle with size 36 bytes each (828 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsStringBundleService with size 108 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsSupportsArray with size 52 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 3 instances of nsSupportsCStringImpl with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsSystemPrincipal with size 32 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 721 instances of nsTArray_base with size 4 bytes each (2884 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 340 instances of nsTextFragment with size 8 bytes each (2720 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 340 instances of nsTextNode with size 36 bytes each (12240 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsThread with size 68 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 7 instances of nsTimerImpl with size 48 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsTokenAllocator with size 32 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of nsURIAndPrincipalHashKey with size 12 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 4 instances of nsURIHashKey with size 8 bytes each (32 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsVariant with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 37 instances of nsVoidArray with size 4 bytes each (148 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 53 instances of nsWeakReference with size 12 bytes each (636 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXBLService with size 52 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXMLContentSink with size 236 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXMLDocument with size 616 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 186 instances of nsXMLElement with size 32 bytes each (5952 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 47 instances of nsXPCComponents with size 56 bytes each (2632 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 45 instances of nsXPCComponents_Classes with size 16 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXPCComponents_Exception with size 16 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 44 instances of nsXPCComponents_ID with size 16 bytes each (704 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 45 instances of nsXPCComponents_Interfaces with size 24 bytes each (1080 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 28 instances of nsXPCComponents_Results with size 16 bytes each (448 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 36 instances of nsXPCComponents_Utils with size 20 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXPCWrappedJS with size 56 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXPConnect with size 100 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXTFService with size 40 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXULPopupManager with size 64 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsXULPrototypeCache with size 172 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of xpcPerThreadData with size 44 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 144 instances of xptiFile with size 28 bytes each (4032 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 39 instances of xptiInterfaceInfo with size 16 bytes each (624 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of xptiInterfaceInfoManager with size 96 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of xptiWorkingSet with size 52 bytes
I _think_ this happened on windows on our 3.6 branch:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1253724221.1253726171.8338.gz

WINNT 5.2 mozilla-1.9.2 test everythingelse on 2009/09/23 09:43:41
OS: Mac OS X → All
Hardware: x86 → All
Summary: Intermittent leak on OS X starting with AtomImpl → Intermittent leak starting with AtomImpl
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1259100352.1259102119.13784.gzOS X 10.5.2 mozilla-1.9.2 test everythingelse on 2009/11/24 14:05:52
in mochitest-browser-chrome.
"starting with AtomImpl" seems like a bad way to categorize leaks; AtomImpl objects are very commonly entrained by many other types of leaks.

It seems like the leak should be categorized by one of the rarer objects leaked, or, when URLs are leaked, by which URLs are leaked.

In the original report here, there were "nsStandardURL" leaked, which means there will be a "Leaked URLs" report in the log that says *which* URLs leaked.
So the logs from comment 0 and comment 1 are no longer around, so I'm going to ignore them and make this bug about the problem in comment 3 and comment 4.

In the Leaked URLs list, I think the last ones listed are most likely to be relevant (since most of them are owned by leaked services that started at startup).

In the log in comment 2, those were:
  https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10
/Darwin/3.6b4pre
  https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10
/Darwin/3.6b4pre

In the log in comment 3, those were:
  https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10/Darwin/3.6b5pre
  https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10/Darwin/3.6b5pre

In:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259784055.1259787669.3698.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/12/02 12:00:55  
they are:
  https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10/WINNT/3.7a1pre
  https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10/WINNT/3.7a1pre


In all these cases, the URL leaked is the value of the extensions.getAddons.recommended.url pref.  It's not completely clear that that's the problem, though; it could be that there are no URLs related to the leak.

But it also could be that either the code in nsAddonRepository.js or some of the tests listed in http://mxr.mozilla.org/mozilla-central/search?string=getaddons.recommended.url&find=&findi=&filter=^[^\0]*%24&hitlimit=&tree=mozilla-central are leaking (perhaps when there are network problems?).
But given that there was a document leaked, that URL list is very likely to be relevant.
Summary: Intermittent leak starting with AtomImpl → intermittent mochitest-browser-chrome leak ~360K including one nsXMLDocument (but no nsGlobalWindow) where Leaked URLs list ends with https://services.addons.mozilla.org/en-US/firefox/api/1.2/list/featured/all/10/...
[2009-12-02 14:50:15] <tn> dbaron: re 505650, i seem to remember getting a leak when running without net access, possibly it was that url
Component: Layout → Add-ons Manager
Product: Core → Toolkit
QA Contact: layout → add-ons.manager
Also note that when certain objects leak, we don't shut down properly and so leak a whole lot more. For example if an element is leaked we won't run nsLayoutStatics::Shutdown and thus will never free a large number of elements.

This is by design since if we tried to run nsLayoutStatics::Shutdown with an element around we might crash, and we'd rather leak on shutdown than crash on shutdown.
At a guess this is because the xpinstall tests run last in the browser-chrome suite, they pop open the add-ons manager a few times, each of which would trigger loading the recommended url. Chances are the tests would all complete and close Firefox while it is still trying to load that url, perhaps causing us to leak the callbacks.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1260983070.1260985151.25174.gz
OS X 10.5.2 mozilla-1.9.2 test everythingelse on 2009/12/16 09:04:30
s: moz2-darwin9-slave17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1260989858.1260992158.11496.gz
OS X 10.5.2 mozilla-1.9.2 test everythingelse on 2009/12/16 10:57:38
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262891571.1262897469.32221.gz
OS X 10.5.2 mozilla-central test everythingelse on 2010/01/07 11:12:51
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264662806.1264664394.18436.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/01/27 23:13:26
s: moz2-darwin9-slave02
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 411993 bytes during test execution

(In this case the total leaked is a bit more, at >400K, but it still looks like the same pattern.)
Blocks: mlkTests, 438871
Whiteboard: [orange]
Duplicate of this bug: 509200
blocking2.0: --- → ?
status1.9.2: --- → ?
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/03/01 11:17:29
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1267471049.1267472447.16300.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/05/13 08:04:35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1273763075.1273763702.29283.gz
This bug is now happening continuously on OS X 10.5.2 mozilla-1.9.2 test mochitest-other.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1273869804.1273870559.816.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/05/14 13:43:24
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1273882004.1273882755.23063.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/05/14 17:06:44  
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1274006993.1274007738.16804.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/05/16 03:49:53
s: moz2-darwin9-slave23
With the new add-ons manager this is no longer an issue on trunk.
blocking2.0: ? → ---
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1276457984.1276458690.6895.gz&fulltext=1
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/13 12:39:44
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1276531336.1276532143.759.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/14 09:02:16
s: moz2-darwin9-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1276543645.1276544412.2317.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/14 12:27:25
s: moz2-darwin9-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277092066.1277092835.3956.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/20 20:47:46
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277097045.1277097675.22499.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/20 22:10:45
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277406656.1277407850.4805.gz
s: win32-slave31
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 378965 bytes during test execution
http://tinderbox.mozilla.org/Firefox3.6/1277403926.1277404551.22071.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other [testfailed]
s: moz2-darwin9-slave66
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 372941 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277422665.1277423509.11223.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other [testfailed]
s: moz2-darwin9-slave36
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 349005 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277424992.1277425729.20979.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other [testfailed]
s: moz2-darwin9-slave43
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 340945 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277495168.1277496057.1575.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other [testfailed]
s: moz2-darwin9-slave21
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 342297 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1278969841.1278970735.28387.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/07/12 14:24:01
s: moz2-darwin9-slave07
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 348733 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 348733 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 114 instances of AtomImpl with size 16 bytes each (1824 bytes total)
...
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1281383020.1281384188.2584.gz
s: moz2-darwin9-slave24
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 319629 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1281399679.1281400406.15562.gz
s: moz2-darwin9-slave31
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 324078 bytes during test execution
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.